Learn about Centmin Mod LEMP Stack today
Become a Member

Wordpress Wordpress plugin timeout

Discussion in 'Blogs & CMS usage' started by ahmed, Jul 25, 2020.

  1. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
    I have a plugin that backup the db every time a change is made on Wordpress; editing a menu, installing, removing a plugin

    sometimes I get timeout during theses process

    what can I do in the PHP settings to overcome this?

     
  2. eva2000

    eva2000 Administrator Staff Member

    46,857
    10,629
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,498
    Local Time:
    8:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    What is that plugin's name ? Generally you should NOT rely on PHP based backup tools as they can timeout or error out, leaving you without a complete backup.

    do the timeouts have specific error messages ? you can inspect php-fpm error logs (see FAQ item 19 on official FAQ page)
     
  3. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
    Wpreset is the plugin and its timeout is when it tries to upload the backup to the cloud it backs up the dB only

    I got the timeout message with cloudflare so no message


    I will see what can be done with php logs


    Anyway to include a codes in centmin to backup Wordpress auto I modified one 3 yrs ago but I remember it was not deleting the old backups on the remote server so I give up
     
  4. eva2000

    eva2000 Administrator Staff Member

    46,857
    10,629
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,498
    Local Time:
    8:21 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    How big is the uploaded file ? more than 100MB in size ? Cloudflare has POST size upload limits depending on the CF plan Understanding Cloudflare's CDN
    Another reason why you shouldn't rely on PHP based backup/uploads due to Cloudflare upload limits and instead backup/restore data via SSH command line.

    You can also ask WPReset developers if they have a solution for uploads behind Cloudflare

    edit: from WP Reset – Most Advanced WordPress Reset Tool looks like WPReset supports command line via wp-cli which centmin.sh menu option 22 installed wordpress instances already have wp-cli installed
     
  5. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
    Thanks a lot for the tip

    looks like it is the solution, I will dig into that soon.
     
  6. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
  7. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
    I restored a week old backup

    and this is the message that centmin was showing

    Code:
    
    WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.WARNING: You are using pip version 20.2.4; however, version 20.3.3 is available.You should consider upgrading via the '/usr/bin/python2 -m pip install --upgrade pip' command.
    
     
  8. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM
    also this happens on centmin 15 ImageMagick
    Code:
    --> Finished Dependency Resolution
    Error: ImageMagick7 conflicts with ImageMagick-6.9.11.57-1.el7.remi.x86_64
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    
    update
     
  9. ahmed

    ahmed Active Member

    360
    48
    28
    Feb 21, 2017
    Ratings:
    +62
    Local Time:
    12:21 PM